Skip to main content
GET
/
brains
/
{id}
/
containers
/
{containerId}
/
nodes
/
tree
List nodes (tree)
curl --request GET \
  --url https://versuno.ai/api/public/brains/{id}/containers/{containerId}/nodes/tree \
  --header 'Authorization: <api-key>'
import requests

url = "https://versuno.ai/api/public/brains/{id}/containers/{containerId}/nodes/tree"

headers = {"Authorization": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: '<api-key>'}};

fetch('https://versuno.ai/api/public/brains/{id}/containers/{containerId}/nodes/tree', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://versuno.ai/api/public/brains/{id}/containers/{containerId}/nodes/tree"

req, _ := http.NewRequest("GET", url, nil)

req.Header.Add("Authorization", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}


HttpResponse<String> response = Unirest.get("https://versuno.ai/api/public/brains/{id}/containers/{containerId}/nodes/tree")
.header("Authorization", "<api-key>")
.asString();
using RestSharp;


var options = new RestClientOptions("https://versuno.ai/api/public/brains/{id}/containers/{containerId}/nodes/tree");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "<api-key>");
var response = await client.GetAsync(request);

Console.WriteLine("{0}", response.Content);
[
  {
    "id": "f6a7b8c9-d0e1-2345-f012-678901234567",
    "summary": "Explains how to create dynamic route segments.",
    "canonical": "app-router-dynamic-routes",
    "containerId": "e5f6a7b8-c9d0-1234-ef01-567890123456",
    "parentId": null,
    "type": "page",
    "subNodes": "<array>"
  }
]
{
"error": "Invalid API key"
}

Authorizations

Authorization
string
header
default:Bearer uk_live_your_api_key_here
required

Versuno API key. Must be prefixed with Bearer. Format: Bearer uk_live_...

Path Parameters

id
string<uuid>
required

ID of the brain.

containerId
string<uuid>
required

ID of the container.

Response

Array of root node preview trees.

id
string<uuid>

Unique identifier for the node.

Example:

"f6a7b8c9-d0e1-2345-f012-678901234567"

summary
string | null

Short AI-generated summary of the node, or null.

Example:

"Explains how to create dynamic route segments."

canonical
string | null

Canonical title/identifier of the node, or null.

Example:

"app-router-dynamic-routes"

containerId
string<uuid> | null

ID of the container this node belongs to, or null.

Example:

"e5f6a7b8-c9d0-1234-ef01-567890123456"

parentId
string<uuid> | null

ID of the parent node, or null.

Example:

null

type
string

Node type (e.g. page, chunk).

Example:

"page"

subNodes
array

Child node previews, recursively nested.